[id^="chart-area"] {
  position: relative;
  width: 460px;
  height: 360px;
  margin: 20px auto 0 auto;
}

#treatment-below {
  margin-top: 50px;
  margin-left: 10px;
  z-index: 999;
}

#treatment-below img {
  width: 250px; /* adjust size */
  height: auto;
}

#category-icons {
  position: absolute;
  top: 0; /* adjust this to match your chart position */
  left: 0;
  transform: translateX(-50%);
  width: 100%;
  height: 100%;
  pointer-events: none;
}

.cat-icon {
  position: absolute;
  height: auto;
  filter: drop-shadow(0 0 6px rgba(255, 200, 120, 0.4));
  transition: transform 0.3s ease;
  width: 100px;
}

#icon-medication  { bottom: 299px; left: 68%; width: 110px; transform: translateX(-50%); }
#icon-monitoring  { top: 280px; left: 70%; width: 100px; transform: translateX(-50%); }
#icon-physical    { bottom: 145px; left: 37%; width: 135px; transform: translateX(-50%); }
#icon-surgery     { top: 145px; left: 32%; width: 95px; transform: translateX(-50%); }

#icon-management  { bottom: 300px; left: 68%; width: 110px; transform: translateX(-50%); }
#icon-ht          { top: 255px; left: 70%; width: 130px; transform: translateX(-50%); }
#icon-st          { bottom: 145px; left: 36%; width: 135px; transform: translateX(-50%); }
#icon-pwsmonitor  { top: 120px; left: 34%; width: 125px; transform: translateX(-50%); }

#icon-oitherapy  { bottom: 310px; left: 72%; width: 100px; transform: translateX(-50%); }
#icon-oioi       { top: 260px; left: 35%; width: 150px; transform: translateX(-50%); }
#icon-oimed      { top: 130px; left: 34%; width: 125px; transform: translateX(-50%); }
#icon-ai         { bottom: 149px; left: 69%; width: 120px; transform: translateX(-50%); }

.cat-icon:hover { transform: scale(1.0); }

#treatment-tooltip {
  position: absolute;
  padding: 8px;
  pointer-events: none;
  z-index: 9999; /* Ensure it's on top of everything */
  display: none;
  max-width: 350px;
}

.star {
  animation: pulse 3s infinite ease-in-out;
  transform-origin: center;
  opacity: 0.9;
  z-index: 999;
}

@keyframes pulse {
  0%, 100% { transform: scale(1); opacity: 0.9; }
  50%     { transform: scale(1.03); opacity: 1; }
}
